SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Enumerations
RPC4Plugin.h File Reference

Remote procedure call, supporting C functions only. No external dependencies required. More...

`#include "NativeFeatureIncludes.h"`
`#include "PluginInterface2.h"`
`#include "PacketPriority.h"`
`#include "types.h"`
`#include "BitStream.h"`
`#include "string.h"`
`#include "NetworkIDObject.h"`
`#include "DS_Hash.h"`
`#include "DS_OrderedList.h"`

Go to the source code of this file.

## Classes

class | SLNet::RPC4GlobalRegistration
| Instantiate this class globally if you want to register a function with RPC4 at the global space. More...
class | SLNet::RPC4
| The RPC4 plugin is just an association between a C function pointer and a string. More...
struct | SLNet::RPC4::LocalCallback
struct | SLNet::RPC4::LocalSlotObject
struct | SLNet::RPC4::LocalSlot

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Enumerations

enum | SLNet::RPCErrorCodes { SLNet::RPC_ERROR_FUNCTION_NOT_REGISTERED }
| Error codes returned by a remote system as to why an RPC function call cannot execute. More...

## Detailed Description

Remote procedure call, supporting C functions only. No external dependencies required.

Definition in file RPC4Plugin.h.